[arch-commits] Commit in enlightenment/repos (3 files)

Eric Belanger eric at archlinux.org
Mon Aug 11 22:01:16 EDT 2008


    Date: Monday, August 11, 2008 @ 22:01:15
  Author: eric
Revision: 8468

Merged revisions 1222-8467 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/enlightenment/trunk

........
  r8463 | eric | 2008-08-11 21:14:55 -0400 (Mon, 11 Aug 2008) | 2 lines
  
  upgpkg: enlightenment 0.16.8.14-1
      Upstream update
........

Modified:
  enlightenment/repos/extra-i686/	(properties)
  enlightenment/repos/extra-i686/ChangeLog
  enlightenment/repos/extra-i686/PKGBUILD

-----------+
 ChangeLog |    5 +++++
 PKGBUILD  |   30 +++++++++++++++---------------
 2 files changed, 20 insertions(+), 15 deletions(-)


Property changes on: enlightenment/repos/extra-i686
___________________________________________________________________
Name: svnmerge-integrated
   - /enlightenment/trunk:1-1221
   + /enlightenment/trunk:1-8467

Modified: extra-i686/ChangeLog
===================================================================
--- extra-i686/ChangeLog	2008-08-12 01:56:08 UTC (rev 8467)
+++ extra-i686/ChangeLog	2008-08-12 02:01:15 UTC (rev 8468)
@@ -1,3 +1,8 @@
+2008-08-11  Eric Belanger  <eric at archlinux.org>
+
+	* enlightenment 0.16.8.14-1
+	* Upstream update
+
 2008-05-01  Eric Belanger  <eric at archlinux.org>
 
 	* enlightenment 0.16.8.13-1

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2008-08-12 01:56:08 UTC (rev 8467)
+++ extra-i686/PKGBUILD	2008-08-12 02:01:15 UTC (rev 8468)
@@ -3,7 +3,7 @@
 # Contributor: Judd Vinet <jvinet at zeroflux.org>
 
 pkgname=enlightenment
-pkgver=0.16.8.13
+pkgver=0.16.8.14
 _themever=0.16.8.0.2
 pkgrel=1
 pkgdesc="A fast, flexible, and very extensible Window Manager"
@@ -15,23 +15,23 @@
 options=('!libtool')
 source=(http://downloads.sourceforge.net/sourceforge/${pkgname}/e16-${pkgver}.tar.gz \
         http://downloads.sourceforge.net/enlightenment/e16-themes-${_themever}.tar.gz)
-md5sums=('50e3e0d128b0f1046c95e2820a1bc841' '20fbaff803c3decdf3ac7c363b37c42e')
-sha1sums=('9bcbb42add4447624db3179a79476f0f858974bb' '44dd62c5a476561c7ab4382ddd0250a5a0902065')
+md5sums=('a6a345ada7b60a44df3759e4cd1682c1' '20fbaff803c3decdf3ac7c363b37c42e')
+sha1sums=('b8e04d8f14875773baa69a44d2d057cdb2e6971c' '44dd62c5a476561c7ab4382ddd0250a5a0902065')
 
 build() {
-  cd ${startdir}/src/e16-${pkgver}
-  sed -i 's|xsessiondir = $(datadir)/xsessions|xsessiondir = /etc/X11/sessions|' misc/Makefile.in
-  ./configure --prefix=/usr --enable-fsstd --enable-sound --sysconfdir=/etc
+  cd ${srcdir}/e16-${pkgver}
+  sed -i 's|xsessiondir = $(datadir)/xsessions|xsessiondir = /etc/X11/sessions|' misc/Makefile.in || return 1
+  ./configure --prefix=/usr --enable-fsstd --enable-sound --sysconfdir=/etc || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install
-  install -D -m755 ${startdir}/pkg/usr/share/e16/misc/Xclients.e16-gnome.sh ${startdir}/pkg/usr/bin/e16-gnome
-  install -D -m755 ${startdir}/pkg/usr/share/e16/misc/Xclients.e16-kde.sh ${startdir}/pkg/usr/bin/e16-kde
-  install -D -m644 COPYING ${startdir}/pkg/usr/share/licenses/${pkgname}/COPYING
-  install -D -m644 man/e16.1 ${startdir}/pkg/usr/share/man/man1/e16.1
+  make DESTDIR=${pkgdir} install || return 1
+  install -D -m755 ${pkgdir}/usr/share/e16/misc/Xclients.e16-gnome.sh ${pkgdir}/usr/bin/e16-gnome || return 1
+  install -D -m755 ${pkgdir}/usr/share/e16/misc/Xclients.e16-kde.sh ${pkgdir}/usr/bin/e16-kde || return 1
+  install -D -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/COPYING || return 1
+  install -D -m644 man/e16.1 ${pkgdir}/usr/share/man/man1/e16.1 || return 1
 
-  cd ${startdir}/src/e16-themes-${_themever}
-  ./configure --prefix=/usr --enable-fsstd
-  make DESTDIR=${startdir}/pkg install
+  cd ${srcdir}/e16-themes-${_themever}
+  ./configure --prefix=/usr --enable-fsstd || return 1
+  make DESTDIR=${pkgdir} install || return 1
  
-  chown -R root:root ${startdir}/pkg/usr/share/*
+  chown -R root:root ${pkgdir}/usr/share/* || return 1
 }




More information about the arch-commits mailing list